Package net.shibboleth.shared.cli

# Enum Class AbstractCommandLine.TerminalCodes

java.lang.Object
java.lang.Enum<AbstractCommandLine.TerminalCodes>
net.shibboleth.shared.cli.AbstractCommandLine.TerminalCodes

All Implemented Interfaces:
  `Serializable`, `Comparable<AbstractCommandLine.TerminalCodes>`, `Constable`

Enclosing class:
  AbstractCommandLine<T extends CommandLineArguments>

public static enum AbstractCommandLine.TerminalCodes extends Enum<AbstractCommandLine.TerminalCodes>
Terminal codes.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BLACK`
Black.
`BLUE`
Blue.
`CYAN`
Cyan.
`GREEN`
Green.
`PURPLE`
Purple.
`RED`
Red.
`RESET`
Reset.
`WHITE`
White.
`YELLOW`
Yellow.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`ansicode`
Code string.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`TerminalCodes(String ansi)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`code(CommandLineArguments args)`
Gets the relevant code for the enum value.
`static AbstractCommandLine.TerminalCodes`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AbstractCommandLine.TerminalCodes[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RESET

public static final AbstractCommandLine.TerminalCodes RESET
Reset.

### BLACK

public static final AbstractCommandLine.TerminalCodes BLACK
Black.

### RED

public static final AbstractCommandLine.TerminalCodes RED
Red.

### GREEN

public static final AbstractCommandLine.TerminalCodes GREEN
Green.

### YELLOW

public static final AbstractCommandLine.TerminalCodes YELLOW
Yellow.

### BLUE

public static final AbstractCommandLine.TerminalCodes BLUE
Blue.

### PURPLE

public static final AbstractCommandLine.TerminalCodes PURPLE
Purple.

### CYAN

public static final AbstractCommandLine.TerminalCodes CYAN
Cyan.

### WHITE

public static final AbstractCommandLine.TerminalCodes WHITE
White.

## Field Details

### ansicode

@Nonnull @NotEmpty private final String ansicode
Code string.

## Constructor Details

### TerminalCodes

private TerminalCodes(@Nonnull @NotEmpty String ansi)
Constructor.

Parameters:
  `ansi` - ANSI code string

## Method Details

### values

public static AbstractCommandLine.TerminalCodes[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AbstractCommandLine.TerminalCodes valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### code

public String code(@Nonnull CommandLineArguments args)
Gets the relevant code for the enum value.

Parameters:
  `args` - CLI arguments
Returns:
  code string value